# PhasicFlow: box Class Reference

box Class Reference
Collaboration diagram for box:
[legend]

## Public Member Functions

| TypeInfoNV ("box")
INLINE_FUNCTION_HD | box ()
INLINE_FUNCTION_HD | box (const realx3 &minP, const realx3 &maxP)
FUNCTION_H | box (const dictionary &dict)
FUNCTION_H | box (iIstream &is)
FUNCTION_HD | box (const box &)=default
FUNCTION_HD | box (box &&)=default
FUNCTION_HD box & | operator= (const box &)=default
FUNCTION_HD box & | operator= (box &&)=default
| ~box ()=default
INLINE_FUNCTION_HD bool | isInside (const realx3 &point) const
INLINE_FUNCTION_HD realx3 | minPoint () const
INLINE_FUNCTION_HD realx3 | maxPoint () const
FUNCTION_H bool | read (iIstream &is)
FUNCTION_H bool | write (iOstream &os) const
FUNCTION_H bool | read (const dictionary &dict)
FUNCTION_H bool | write (dictionary &dict) const

## Protected Attributes

realx3 | min_ {0,0,0}
realx3 | max_ {1,1,1}

## Detailed Description

Definition at line 32 of file box.hpp.

## Constructor & Destructor Documentation

## box() [1/6]

INLINE_FUNCTION_HD box | ( |  | ) |

inline

Definition at line 49 of file box.hpp.

## box() [2/6]

INLINE_FUNCTION_HD box | ( | const realx3 & | minP,
|  | const realx3 & | maxP
| ) |  |

inline

Definition at line 52 of file box.hpp.

## box() [3/6]

FUNCTION_H box | ( | const dictionary & | dict | ) |

Definition at line 27 of file box.cpp.

## box() [4/6]

FUNCTION_H box | ( | iIstream & | is | ) |

Definition at line 43 of file box.cpp.

References fatalExit, ioErrorInFile, IOstream::lineNumber(), and IOstream::name().

Here is the call graph for this function:

## box() [5/6]

FUNCTION_HD box | ( | const box & |  | ) |

default

## box() [6/6]

FUNCTION_HD box | ( | box && |  | ) |

default

## ~box()

~box | ( |  | ) |

default

## Member Function Documentation

## TypeInfoNV()

TypeInfoNV | ( | "box" |  | ) |

## operator=() [1/2]

FUNCTION_HD box& operator= | ( | const box & |  | ) |

default

## operator=() [2/2]

FUNCTION_HD box& operator= | ( | box && |  | ) |

default

## isInside()

INLINE_FUNCTION_HD bool isInside | ( | const realx3 & | point | ) | const

inline

Definition at line 82 of file box.hpp.

References box::max_, and box::min_.

Referenced by cells< int32 >::inDomain(), pFlow::pointStructureKernels::markDeleteOutOfBox(), cells< int32 >::pointIndexInDomain(), and selectBox::selectAllPointsInBox().

Here is the caller graph for this function:

## minPoint()

INLINE_FUNCTION_HD realx3 minPoint | ( |  | ) | const

inline

Definition at line 88 of file box.hpp.

References box::min_.

Referenced by cells< int32 >::bound(), pFlow::boxExtent(), cells< int32 >::calculate(), pFlow::extendBox(), pFlow::indexToCell(), boxRegion::peek(), and cells< int32 >::pointIndex().

Here is the caller graph for this function:

## maxPoint()

INLINE_FUNCTION_HD realx3 maxPoint | ( |  | ) | const

inline

Definition at line 94 of file box.hpp.

References box::max_.

Referenced by cells< int32 >::bound(), pFlow::boxExtent(), cells< int32 >::calculate(), pFlow::extendBox(), and boxRegion::peek().

Here is the caller graph for this function:

## read() [1/2]

FUNCTION_H bool read | ( | iIstream & | is | ) |

Definition at line 57 of file box.cpp.

References box::max_, box::min_, and iIstream::nextData().

Referenced by pFlow::operator>>().

Here is the call graph for this function:
Here is the caller graph for this function:

## write() [1/2]

FUNCTION_H bool write | ( | iOstream & | os | ) | const

Definition at line 65 of file box.cpp.

References IOstream::check(), FUNCTION_NAME, and iOstream::writeWordEntry().

Referenced by pFlow::operator<<().

Here is the call graph for this function:
Here is the caller graph for this function:

## read() [2/2]

FUNCTION_H bool read | ( | const dictionary & | dict | ) |

Definition at line 74 of file box.cpp.

References dictionary::getVal().

Here is the call graph for this function:

## write() [2/2]

FUNCTION_H bool write | ( | dictionary & | dict | ) | const

Definition at line 85 of file box.cpp.

References dictionary::add(), pFlow::endl(), fatalErrorInFunction, and dictionary::globalName().

Here is the call graph for this function:

## Member Data Documentation

## min_

realx3 min_ {0,0,0}

protected

Definition at line 37 of file box.hpp.

Referenced by box::isInside(), box::minPoint(), and box::read().

## max_

realx3 max_ {1,1,1}

protected

Definition at line 40 of file box.hpp.

Referenced by box::isInside(), box::maxPoint(), and box::read().

The documentation for this class was generated from the following files:

- src/phasicFlow/structuredData/box/box.hpp
- src/phasicFlow/structuredData/box/box.cpp